<%= form_with(model: analysis, local: true) do |f| %>
  <% if analysis.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(analysis.errors.count, "error(es)") %></h2>

      <ul>
      <% analysis.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :reason,'Asunto' %>
    <%= f.text_field :reason %>
  </div>

  <div class="field">
    <%= f.label :date, 'Fecha' %>
    <%= f.date_select :date %>
  </div>

  <div class="field">
    <%= f.label :laboratory,'Laboratorio' %>
    <%= f.text_field :laboratory %>
  </div>

  <div class="field">
    <%= f.label :typeOfAnalisys, 'Tipo de Análísis' %>
    <%= f.text_field :typeOfAnalisys %>
  </div>

  <div class="field">
    <%= f.label :observations, 'Observaciones' %>
    <%= f.text_area :observations %>
  </div>

  <div class="field">
    <%= f.label :analisysPicture, 'Imagen del análisis' %><br />
    <%= f.file_field :analisysPicture %>
  </div>


  <div class="actions">
    <%= f.submit value = "Crear análisis"%>
  </div>
<% end %>
